Olive: Glade file cannot be found if installed in home

Bug #137172 reported by Mario del Pozo on 2007-09-03
2
Affects Status Importance Assigned to Milestone
Bazaar GTK+ Frontends
Low
Szilveszter Farkas

Bug Description

Error running olive-gtk if bzr-gtk is installed in home with: python setup.py install --home ~

Error message: "Glade file cannot be found." (no traceback).
bzr-gtk: 0.90.0 and trunk (r274).

Related bug #69497

Quick fix:

=== modified file 'olive/guifiles.py'
--- olive/guifiles.py 2007-04-19 21:30:38 +0000
+++ olive/guifiles.py 2007-09-03 22:12:47 +0000
@@ -22,6 +22,7 @@
                   "/usr/local/share/olive/olive.glade",
                   "/opt/share/olive/olive.glade",
                   "/opt/local/share/olive/olive.glade",
+ "~/share/olive/olive.glade",
                  ]

 # Get the glade file name
@@ -36,6 +37,7 @@
 GLADEFILENAME = None

 for path in GLADEFILENAMES:
+ path = os.path.expanduser(path)
     if os.path.isfile(path):
         GLADEFILENAME = path
         break

--
Regards,
Mario

description: updated

Am Montag, den 03.09.2007, 23:05 +0000 schrieb Mario del Pozo:
> Public bug reported:
>
> Error running olive-gtk if bzr-gtk is installed in home with: python
> setup.py install --home ~
>
> Error message: "Glade file cannot be found." (no traceback).
> bzr-gtk: 0.90.0 and trunk (r274).
>
> Related bug #69497

Szilveszter, any chance you can have a look at this?

  tags +olive
  importance low
  status triaged

Cheers,

Jelmer
--
Jelmer Vernooij <email address hidden> - http://samba.org/~jelmer/
Jabber: <email address hidden>

Changed in bzr-gtk:
importance: Undecided → Low
status: New → Triaged
Szilveszter Farkas (phanatic) wrote :

I think the patch is straightforward enough, and of course we should accommodate to our users' installation habits. I guess I'll just merge this patch...

Changed in bzr-gtk:
assignee: nobody → phanatic
Szilveszter Farkas (phanatic) wrote :

Merged into trunk, thanks for the report and the patch, Mario.

Changed in bzr-gtk:
milestone: none → 0.94.0
status: Triaged → Fix Committed
Mario del Pozo (mariodpros) wrote :

You're wellcome :-)

Jelmer Vernooij (jelmer) on 2008-08-04
Changed in bzr-gtk:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers